Type to search.

Create a workflow

Base URL
https://{kibana_url}
  • POST /api/workflows/workflow
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Create a new workflow from a YAML definition. The YAML is validated and parsed before the workflow is saved. An optional custom ID can be provided.

Required privileges

Privileges workflowsManagement:create

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

id string · min length: 3 · max length: 255 · pattern: ^[a-z0-9]([a-z0-9-]*[a-z0-9])?$
yaml string · max length: 1048576 required

Response

200

Indicates a successful response

application/json